com.streambase.sb.monitor

## Class KeyRegistry

- java.lang.Object
- - com.streambase.sb.monitor.KeyRegistry

-     class KeyRegistry
      extends Object

  For Stat schema v3.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KeyRegistry` | `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyRegistry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `count(StatsUtil.StatEncoder.KeyType type)`
    `int` | `index(StatsUtil.StatEncoder.KeyType type, String k)` Given type and key, return the index of which the value of the key should be put at on the buffer
    `KeyRegistry` | `register(StatsUtil.StatEncoder.KeyType type, String... key)` Register the keys with the type
    `KeyRegistry` | `withId()` Acronym of register(KeyType.Long, StatKey.ID)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final KeyRegistry EMPTY

  - ### Constructor Detail

    - #### KeyRegistry

          KeyRegistry()

  - ### Method Detail

    - #### register

          public KeyRegistry register(StatsUtil.StatEncoder.KeyType type,
                                      String... key)

      Register the keys with the type
      Parameters:
        `type` -
        `key` -
      Returns:
        key registry

    - #### index

          public int index(StatsUtil.StatEncoder.KeyType type,
                           String k)

      Given type and key, return the index of which the value of the key should be put at on the buffer
      Parameters:
        `type` -
        `k` -
      Returns:
        key registry

    - #### count

          public int count(StatsUtil.StatEncoder.KeyType type)

    - #### withId

          public KeyRegistry withId()

      Acronym of register(KeyType.Long, StatKey.ID)
      Returns:
        the same registry

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.